Skip to main content
POST
/
api
/
v1
/
backchannel
/
risk
/
scenario
cURL
curl --request POST \
  --url https://tilt.io/api/v1/backchannel/risk/scenario \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "portfolio_weights": {},
  "shocks": {},
  "include_security_details": true
}
'
{
  "success": true,
  "portfolio_expected_return_pct": 123,
  "security_details": [
    {
      "tilt_id": "<string>",
      "weight": 123,
      "expected_return_pct": 123,
      "contribution_to_portfolio_pct": 123,
      "factor_contributions": {},
      "ticker": "<string>",
      "company_name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
portfolio_weights
object
required
shocks
object
required
include_security_details
boolean
default:true

Response

200 - application/json

Portfolio impact from macro factor shocks

success
boolean
required
portfolio_expected_return_pct
number
required
security_details
object[]